<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_45) on Mon Mar 14 09:25:41 GMT 2016 -->
<title>SolverRequestObject</title>
<meta name="date" content="2016-03-14">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SolverRequestObject";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SolverRequestObject.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/stefanomantini/web/util/Dispatcher.html" title="class in com.stefanomantini.web.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/stefanomantini/web/util/SolverResponseObject.html" title="class in com.stefanomantini.web.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/stefanomantini/web/util/SolverRequestObject.html" target="_top">Frames</a></li>
<li><a href="SolverRequestObject.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.stefanomantini.web.util</div>
<h2 title="Class SolverRequestObject" class="title">Class SolverRequestObject</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.stefanomantini.web.util.SolverRequestObject</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">SolverRequestObject</span>
extends java.lang.Object</pre>
<div class="block">Request from user specifies granularly what params are available
 The reasoning behind POSTing an object is to allow for data
 to be passed in</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Stefano Mantini</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html#alterTour">alterTour</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html#calc">calc</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html#nVehicles">nVehicles</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html#sampleType">sampleType</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html#solver">solver</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html#vehicles">vehicles</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html#walkWeight">walkWeight</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html#SolverRequestObject--">SolverRequestObject</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html#SolverRequestObject-java.lang.String-java.lang.String-java.lang.String-int-int-java.lang.String-java.util.ArrayList-">SolverRequestObject</a></span>(java.lang.String&nbsp;solver,
                   java.lang.String&nbsp;calc,
                   java.lang.String&nbsp;sampleType,
                   int&nbsp;nVehicles,
                   int&nbsp;walkWeight,
                   java.lang.String&nbsp;alterTour,
                   java.util.ArrayList&lt;<a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;vehicles)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html#getAlterTour--">getAlterTour</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html#getCalc--">getCalc</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html#getnVehicles--">getnVehicles</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html#getSampleType--">getSampleType</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html#getSolver--">getSolver</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html#getVehicles--">getVehicles</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html#getWalkWeight--">getWalkWeight</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html#setAlterTour-java.lang.String-">setAlterTour</a></span>(java.lang.String&nbsp;alterTour)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html#setCalc-java.lang.String-">setCalc</a></span>(java.lang.String&nbsp;calc)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html#setnVehicles-int-">setnVehicles</a></span>(int&nbsp;nVehicles)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html#setSampleType-java.lang.String-">setSampleType</a></span>(java.lang.String&nbsp;sampleType)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html#setSolver-java.lang.String-">setSolver</a></span>(java.lang.String&nbsp;solver)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html#setVehicles-java.util.ArrayList-">setVehicles</a></span>(java.util.ArrayList&lt;<a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;vehicles)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html#setWalkWeight-int-">setWalkWeight</a></span>(int&nbsp;walkWeight)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="solver">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>solver</h4>
<pre>@NotNull
private&nbsp;java.lang.String solver</pre>
</li>
</ul>
<a name="calc">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calc</h4>
<pre>@NotNull
private&nbsp;java.lang.String calc</pre>
</li>
</ul>
<a name="sampleType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sampleType</h4>
<pre>@NotNull
private&nbsp;java.lang.String sampleType</pre>
</li>
</ul>
<a name="nVehicles">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nVehicles</h4>
<pre>private&nbsp;int nVehicles</pre>
</li>
</ul>
<a name="walkWeight">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>walkWeight</h4>
<pre>private&nbsp;int walkWeight</pre>
</li>
</ul>
<a name="alterTour">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>alterTour</h4>
<pre>private&nbsp;java.lang.String alterTour</pre>
</li>
</ul>
<a name="vehicles">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>vehicles</h4>
<pre>private&nbsp;java.util.ArrayList&lt;<a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt; vehicles</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="SolverRequestObject--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SolverRequestObject</h4>
<pre>public&nbsp;SolverRequestObject()</pre>
</li>
</ul>
<a name="SolverRequestObject-java.lang.String-java.lang.String-java.lang.String-int-int-java.lang.String-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SolverRequestObject</h4>
<pre>public&nbsp;SolverRequestObject(java.lang.String&nbsp;solver,
                           java.lang.String&nbsp;calc,
                           java.lang.String&nbsp;sampleType,
                           int&nbsp;nVehicles,
                           int&nbsp;walkWeight,
                           java.lang.String&nbsp;alterTour,
                           java.util.ArrayList&lt;<a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;vehicles)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="toString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="getVehicles--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVehicles</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;getVehicles()</pre>
</li>
</ul>
<a name="setVehicles-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVehicles</h4>
<pre>public&nbsp;void&nbsp;setVehicles(java.util.ArrayList&lt;<a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;vehicles)</pre>
</li>
</ul>
<a name="getSolver--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSolver</h4>
<pre>public&nbsp;java.lang.String&nbsp;getSolver()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the solver</dd>
</dl>
</li>
</ul>
<a name="setSolver-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSolver</h4>
<pre>public&nbsp;void&nbsp;setSolver(java.lang.String&nbsp;solver)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>solver</code> - the solver to set</dd>
</dl>
</li>
</ul>
<a name="getCalc--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCalc</h4>
<pre>public&nbsp;java.lang.String&nbsp;getCalc()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the calc</dd>
</dl>
</li>
</ul>
<a name="setCalc-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCalc</h4>
<pre>public&nbsp;void&nbsp;setCalc(java.lang.String&nbsp;calc)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>calc</code> - the calc to set</dd>
</dl>
</li>
</ul>
<a name="getSampleType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSampleType</h4>
<pre>public&nbsp;java.lang.String&nbsp;getSampleType()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the sampleType</dd>
</dl>
</li>
</ul>
<a name="setSampleType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSampleType</h4>
<pre>public&nbsp;void&nbsp;setSampleType(java.lang.String&nbsp;sampleType)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sampleType</code> - the sampleType to set</dd>
</dl>
</li>
</ul>
<a name="getnVehicles--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getnVehicles</h4>
<pre>public&nbsp;int&nbsp;getnVehicles()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the nVehicles</dd>
</dl>
</li>
</ul>
<a name="setnVehicles-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setnVehicles</h4>
<pre>public&nbsp;void&nbsp;setnVehicles(int&nbsp;nVehicles)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nVehicles</code> - the nVehicles to set</dd>
</dl>
</li>
</ul>
<a name="getWalkWeight--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWalkWeight</h4>
<pre>public&nbsp;int&nbsp;getWalkWeight()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the walkWeight</dd>
</dl>
</li>
</ul>
<a name="setWalkWeight-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWalkWeight</h4>
<pre>public&nbsp;void&nbsp;setWalkWeight(int&nbsp;walkWeight)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>walkWeight</code> - the walkWeight to set</dd>
</dl>
</li>
</ul>
<a name="getAlterTour--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAlterTour</h4>
<pre>public&nbsp;java.lang.String&nbsp;getAlterTour()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the alterTour</dd>
</dl>
</li>
</ul>
<a name="setAlterTour-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setAlterTour</h4>
<pre>public&nbsp;void&nbsp;setAlterTour(java.lang.String&nbsp;alterTour)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>alterTour</code> - the alterTour to set</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SolverRequestObject.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/stefanomantini/web/util/Dispatcher.html" title="class in com.stefanomantini.web.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/stefanomantini/web/util/SolverResponseObject.html" title="class in com.stefanomantini.web.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/stefanomantini/web/util/SolverRequestObject.html" target="_top">Frames</a></li>
<li><a href="SolverRequestObject.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
